Package org.apache.solr.client.solrj.impl

# Class CloudSolrClient.StateCache

java.lang.Object
java.util.AbstractMap<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>
java.util.concurrent.ConcurrentHashMap<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>
org.apache.solr.client.solrj.impl.CloudSolrClient.StateCache

All Implemented Interfaces:
  `Serializable`, `ConcurrentMap<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>`, `Map<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>`

Enclosing class:
  `CloudSolrClient`

protected static class CloudSolrClient.StateCache extends ConcurrentHashMap<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

`ConcurrentHashMap.KeySetView<K,V>`

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`timeToLiveMs`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StateCache()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection`
`get(Object key)`
`org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection`
`put(String key, org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection value)`

### Methods inherited from class java.util.concurrent.ConcurrentHashMap

`clear, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, getOrDefault, hashCode, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, putAll, putIfAbsent, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, toString, values`

### Methods inherited from class java.util.AbstractMap

`clone`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### timeToLiveMs

public volatile long timeToLiveMs

## Constructor Details

### StateCache

protected StateCache()

## Method Details

### get

public org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection get(Object key)

Specified by:
  `get` in interface `Map<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>`
Overrides:
  `get` in class `ConcurrentHashMap<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>`

### put

public org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection put(String key, org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection value)

Specified by:
  `put` in interface `Map<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>`
Overrides:
  `put` in class `ConcurrentHashMap<String,org.apache.solr.client.solrj.impl.CloudSolrClient.ExpiringCachedDocCollection>`